Summary:    Validating XML Parser
Name:       xerces-c
Version:    3.2.4
Release:    2%{?dist}

License:    ASL 2.0
URL:        http://xml.apache.org/xerces-c/
Source0:    http://archive.apache.org/dist/xerces/c/3/sources/xerces-c-%{version}.tar.gz

# The patch has been merged into the upstream version 3.2.5
Patch0001:    0001-Fix-CVE-2024-23807.patch

BuildRequires: make gcc-c++ dos2unix

%description 
Xerces-C is a validating XML parser written in a portable
subset of C++. Xerces-C makes it easy to give your application the
ability to read and write XML data. A shared library is provided for
parsing, generating, manipulating, and validating XML
documents. Xerces-C is faithful to the XML 1.0 recommendation and
associated standards: XML 1.0 (Third Edition), XML 1.1 (First
Edition), DOM Level 1, 2, 3 Core, DOM Level 2.0 Traversal and Range,
DOM Level 3.0 Load and Save, SAX 1.0 and SAX 2.0, Namespaces in XML,
Namespaces in XML 1.1, XML Schema, XML Inclusions).

%package    devel
Summary:    Header files, libraries and development documentation for %{name}
Requires:    %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%package doc
Summary:    Documentation for Xerces-C++ validating XML parser
BuildArch:    noarch

%description doc
Documentation for Xerces-C++.

Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

%prep
%autosetup -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$CFLAGS"
%configure --disable-static \
  --disable-sse2
%make_build

%install
%make_install
rm -rf %{buildroot}%{_bindir}
rm -f %{buildroot}%{_libdir}/*.la

%files
%license LICENSE
%{_libdir}/libxerces-c-3.2.so

%files devel
%{_libdir}/libxerces-c.so
%{_libdir}/pkgconfig/xerces-c.pc
%{_includedir}/xercesc/

%files doc
%license LICENSE
%doc README NOTICE CREDITS doc samples/*

%changelog
* Mon Mar 4 2024 jiaxinyyang <jiaxinyyang@tencent.com> - 3.2.4-2
- Fix CVE-2024-23807

* Fri Nov 10 2023 jiaxinyyang <jiaxinyyang@tencent.com> - 3.2.4-1
- update to 3.2.4
- fix CVE-2023-37536

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.3-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.3-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 21 2023 cunshunxia <cunshunxia@tencent.com> - 3.2.3-1
- initial build
